DCMTK: DRTContourSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTContourSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTContourSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getContourData (OFString &value, const signed long pos=0) const
| get ContourData (3006,0050)
OFCondition | getContourData (Float64 &value, const unsigned long pos=0) const
| get ContourData (3006,0050)
OFCondition | getContourData (OFVector< Float64 > &value) const
| get ContourData (3006,0050)
OFCondition | getContourGeometricType (OFString &value, const signed long pos=0) const
| get ContourGeometricType (3006,0042)
OFCondition | getContourNumber (OFString &value, const signed long pos=0) const
| get ContourNumber (3006,0048)
OFCondition | getContourNumber (Sint32 &value, const unsigned long pos=0) const
| get ContourNumber (3006,0048)
OFCondition | getNumberOfContourPoints (OFString &value, const signed long pos=0) const
| get NumberOfContourPoints (3006,0046)
OFCondition | getNumberOfContourPoints (Sint32 &value, const unsigned long pos=0) const
| get NumberOfContourPoints (3006,0046)
DRTContourImageSequence & | getContourImageSequence ()
| get ContourImageSequence (3006,0016)
const DRTContourImageSequence & | getContourImageSequence () const
| get ContourImageSequence (3006,0016)
OFCondition | setContourData (const OFString &value, const OFBool check=OFTrue)
| set ContourData (3006,0050)
OFCondition | setContourGeometricType (const OFString &value, const OFBool check=OFTrue)
| set ContourGeometricType (3006,0042)
OFCondition | setContourNumber (const OFString &value, const OFBool check=OFTrue)
| set ContourNumber (3006,0048)
OFCondition | setNumberOfContourPoints (const OFString &value, const OFBool check=OFTrue)
| set NumberOfContourPoints (3006,0046)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | ContourData
| ContourData (3006,0050) vr=DS, vm=3-3n, type=1.
DcmCodeString | ContourGeometricType
| ContourGeometricType (3006,0042) vr=CS, vm=1, type=1.
DRTContourImageSequence | ContourImageSequence
| ContourImageSequence (3006,0016) vr=SQ, vm=1, type=3.
DcmIntegerString | ContourNumber
| ContourNumber (3006,0048) vr=IS, vm=1, type=3.
DcmIntegerString | NumberOfContourPoints
| NumberOfContourPoints (3006,0046) vr=IS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTContourSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTContourSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getContourData() [1/3]

OFCondition DRTContourSequence::Item::getContourData | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ContourData (3006,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContourData() [2/3]

OFCondition DRTContourSequence::Item::getContourData | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContourData (3006,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContourData() [3/3]

OFCondition DRTContourSequence::Item::getContourData | ( | OFVector< Float64 > & | value | ) | const

get ContourData (3006,0050)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContourGeometricType()

OFCondition DRTContourSequence::Item::getContourGeometricType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContourGeometricType (3006,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContourImageSequence() [1/2]

DRTContourImageSequence & DRTContourSequence::Item::getContourImageSequence | ( |  | ) |
| inline

get ContourImageSequence (3006,0016)

Returns
  reference to sequence element

References ContourImageSequence.

## ◆ getContourImageSequence() [2/2]

const DRTContourImageSequence & DRTContourSequence::Item::getContourImageSequence | ( |  | ) | const
| inline

get ContourImageSequence (3006,0016)

Returns
  const reference to sequence element

References ContourImageSequence.

## ◆ getContourNumber() [1/2]

OFCondition DRTContourSequence::Item::getContourNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContourNumber (3006,0048)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContourNumber() [2/2]

OFCondition DRTContourSequence::Item::getContourNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ContourNumber (3006,0048)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfContourPoints() [1/2]

OFCondition DRTContourSequence::Item::getNumberOfContourPoints | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfContourPoints (3006,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfContourPoints() [2/2]

OFCondition DRTContourSequence::Item::getNumberOfContourPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfContourPoints (3006,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTContourSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTContourSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTContourSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTContourSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContourData()

OFCondition DRTContourSequence::Item::setContourData | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContourData (3006,0050)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3-3n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContourGeometricType()

OFCondition DRTContourSequence::Item::setContourGeometricType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContourGeometricType (3006,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContourNumber()

OFCondition DRTContourSequence::Item::setContourNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContourNumber (3006,0048)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfContourPoints()

OFCondition DRTContourSequence::Item::setNumberOfContourPoints | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfContourPoints (3006,0046)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTContourSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2